#include <stdio.h>

int main(void)
{
    char z, kraj = '#';     /* kraj je oznaka za kraj niza. */
    int k = 0, pom = -1;    /* pom <> 0 oznacava da niz nije iz skupa. */

        /* Ucitavamo pocetne c-ove i brojimo ih u k. */
    scanf("%c", &z);
    while (z == 'c') {
        ++k;
        scanf("%c", &z);
    }

        /* Ako c-ova nema, odmah znamo da niz znakova nije iz skupa.
           Signal su pocetne vrijednosti k = 0, pom = -1. */
        /* Prvi dio niza je dobar ako je k > 0 i iza prvih c-ova
           mora biti tocno jedan znak d. */
    if (k > 0 && z == 'd') {
        scanf("%c", &z);
            /* Znamo da drugih c-ova treba biti k. Uvodimo pom,
               jer trebamo sacuvati vrijednost od k za ispis. */
        pom = k;
        while (z == 'c') {
            --pom;
            scanf("%c", &z);
        }
    }

        /* Broj drugih c-ova mora biti tocno k, tj. mora biti pom = 0.
           Osim toga, iza zadnjeg znaka c, mora biti kraj niza, tj. z = kraj.
           To eliminira nizove oblika ccdcca# i sl. */
    if (pom == 0 && z == kraj)
        printf("Niz je u skupu i k=%d.\n", k);
    else
        printf("Niz znakova nije u skupu.\n");

    return 0;
}
