#include <stdio.h>

int broj_razlicitih(int x, int* br)
{
    int d, pmax=0;

    *br=0;
    x=(x>0)?x:-x;

    for(d=2; d<=x; d++){
        if(x%d==0){
            (*br)++;
            pmax=(d>pmax)?d:pmax; /*kako se d povecava zapravo znamo da ce uvijek biti d>*pmax*/
            while(x%d==0){
                x/=d;
            }
        }
    }
    return pmax;
}

void sort_djelitelji(int niz[], int n)
{
    int i, j, br1, br2, pmax1, pmax2, temp;

    for(i=0; i<n-1; i++){
        pmax1=broj_razlicitih(niz[i],&br1);
        for(j=i+1; j<n; j++){
            pmax2=broj_razlicitih(niz[j],&br2);
            if(br1<br2 || br1==br2 && pmax1<pmax2){
                temp=niz[i];
                niz[i]=niz[j];
                niz[j]=temp;
            }
        }
    }
}

void ispis(int niz[], int n)
{
    int i;

    for(i=0; i<n; i++)
        printf("%d ", niz[i]);
    printf("\n");
}

int main(void)
{
    int x[]={-31,10,6,-8,-21,64}, p, n;

    n=sizeof(x)/sizeof(x[0]);

    ispis(x,n);
    sort_djelitelji(x,n);
    ispis(x,n);

    return broj_razlicitih(-31,&p);
}

