#include <stdio.h>

int main(void)
{
    char z, kraj = '-';     /* kraj je oznaka za kraj niza. */
    int k = 0, pom = -1;    /* pom <> 0 oznacava da niz nije iz skupa. */

        /* Ucitavamo pocetne a-ove i brojimo ih u k. */
    scanf("%c", &z);
    while (z == 'a') {
        ++k;
        scanf("%c", &z);
    }

        /* Ako a-ova nema, odmah znamo da niz znakova nije iz skupa.
           Signal su pocetne vrijednosti k = 0, pom = -1. */
        /* Prvi dio niza je dobar ako je k > 0. */
    if (k > 0) {
            /* Znamo da b-ova treba biti 2*k. Uvodimo pom,
               jer trebamo sacuvati vrijednost od k za ispis. */
        pom = 2*k;
        while (z == 'b') {
            --pom;
            scanf("%c", &z);
        }
    }

        /* Broj ucitanih b-ova mora biti tocno 2*k, tj. mora biti pom = 0.
           Osim toga, iza zadnjeg znaka b, mora biti kraj niza, tj. z = kraj.
           To eliminira nizove oblika abbc- i sl. */
    if (pom == 0 && z == kraj)
        printf("Niz je u skupu i k=%d.\n", k);
    else
        printf("Niz znakova nije u skupu.\n");

    return 0;
}
