#include <stdio.h>

int main(void)
{
    char z, kraj = '+';     /* kraj je oznaka za kraj niza. */
    int k = 0, pom = -1;    /* pom <> 0 oznacava da niz nije iz skupa. */

        /* Ucitamo pocetni znak. */
    scanf("%c", &z);
        /* Ako taj znak nije x, niz sigurno ne pripada skupu. */
    if (znak == 'x') {
        scanf("%c", &z);
            /* Ucitavamo znakove y iz prve grupe i brojimo ih u k. */
        while (z == 'y') {
            ++k;
            scanf("%c", &z);
        }
    }

        /* Ako nema x ili nema y iza prvog x, odmah znamo da niz znakova
           nije iz skupa. Signal su pocetne vrijednosti k = 0, pom = -1. */
        /* Prvi dio niza je dobar ako je k > 0 i iza prvog bloka xy^k
           mora biti tocno jedan znak x. */
    if (k > 0 && z == 'x') {
            /* Znamo da y-a treba biti tocno k. Uvodimo pom, jer trebamo
               sacuvati vrijednost od k za ispis. */
        scanf("%c", &z);
        pom = k;
            /* Ucitavamo znakove y iz druge grupe i smanjujemo pom. */
        while (z == 'y') {
            --pom;
            scanf("%c", &z);
        }
    }

        /* Broj ucitanih y-a mora biti tocno k, tj. mora biti pom = 0.
           Osim toga, iza zadnjeg znaka y, mora biti kraj niza, tj. z = kraj.
           To eliminira nizove oblika xyyxyyz- i sl. */
    if (pom == 0 && z == kraj)
        printf("Niz je u skupu i k=%d.\n", k);
    else
        printf("Niz znakova nije u skupu.\n");

    return 0;
}
