#include <stdio.h>

    /* Napomena: program je napisan da krece od indeksa 1, kako pise u
       u tekstu zadatka, tako da elemente s indeksom 0 zanemarujemo. */
    /* Pretpostavljamo da su radijusi r[i] >= 0. */

int unutar_krugova(int x, int y, int a[], int b[], int r[], int m)
{
    int i;

    for(i=1; i<=m; i++)
        if((x-a[i])*(x-a[i])+(y-b[i])*(y-b[i])>r[i]*r[i])
            return 0;

    return 1;
}

int presjek_krugova(int a[], int b[], int r[], int m)
{
        /* Moramo odrediti raspon unutar kojeg provjeravamo tocke. */

    int xmin=a[1]-r[1], xmax=a[1]+r[1], ymin=b[1]-r[1], ymax=b[1]+r[1];
    int i, x, y, br=0;

    for(i=2;i<=m; i++){
        if(a[i]-r[i]<xmin)
            xmin=a[i]-r[i];
        else if(a[i]+r[i]>xmax)
            xmax=a[i]+r[i];
        if(b[i]-r[i]<ymin)
            ymin=b[i]-r[i];
        else if(b[i]+r[i]>ymax)
            ymax=b[i]+r[i];
    }

    for(x=xmin; x<=xmax; x++)
        for(y=ymin; y<=ymax; y++)
            br+=unutar_krugova(x,y,a,b,r,m);

    return br;
}

int main(void)
{
    int a[]={0,0}, b[]={0,0}, r[]={0,2}, n;

    n=sizeof(a)/sizeof(a[0])-1;

    printf("Ukupan broj tocaka u presjeku svih krugova je %d.\n",
           presjek_krugova(a,b,r,n));

    return 0;
}
