#include <stdio.h>

    /* Napomena: program je napisan da krece od indeksa 1, kako pise u
       u tekstu zadatka, tako da elemente s indeksom 0 zanemarujemo. */
    /* Pretpostavljamo da su svi pomaci r[i] >= 0. */

int na_kvadratu(int x, int y, int a[], int b[], int r[], int m)
{
    int i, br=0;

    for(i=1; i<=m; i++)
        if( ( (x==a[i] || x==a[i]+r[i]) && b[i]<=y && y<=b[i]+r[i] ) ||
            ( (y==b[i] || y==b[i]+r[i]) && a[i]<=x && x<=a[i]+r[i] ) )
            ++br;

    return br==1;
}

int tocke_kvadrata(int a[], int b[], int r[], int m)
{
        /* Moramo odrediti raspon unutar kojeg provjeravamo tocke. */

    int xmin=a[1], xmax=a[1]+r[1], ymin=b[1], ymax=b[1]+r[1];
    int i, x, y, br=0;

    for(i=2;i<=m; i++){
        if(a[i]<xmin)
            xmin=a[i];
        else if(a[i]+r[i]>xmax)
            xmax=a[i]+r[i];
        if(b[i]<ymin)
            ymin=b[i];
        else if(b[i]+r[i]>ymax)
            ymax=b[i]+r[i];
    }

    for(x=xmin; x<=xmax; x++)
        for(y=ymin; y<=ymax; y++)
            br+=na_kvadratu(x,y,a,b,r,m);

    return br;
}

int main(void)
{
    int a[]={0,0}, b[]={0,0}, r[]={0,2}, n;

    n=sizeof(a)/sizeof(a[0])-1;

    printf("Ukupan broj tocaka na tocno jednom kvadratu je %d.\n",
           tocke_kvadrata(a,b,r,n));

    return 0;
}
