#include <stdio.h>

double horner(double a[], int n, double x)
{
    double p=0, q=0, fakt=1, y;
    int i;

    for(i=1; i<=2*n+2; i++)
        fakt*=i; /*izracunamo linearno vrijednost pocetnog faktorijela, a onda cemo ga
                samnjivati u hornerovoj petlji.*/
    y=5*x; /*polinome rastavimo na dva dijela i ocito (5^k)(x^k)=(5x)^k pa vrijednost drugog
            polinoma racunamo u tocki y=5*x*/

    for(i=n; i>=0; i--){
        fakt/=(2*i+2)*(2*i+1);
        p=p*x+a[2*i+1]/fakt;

        q=q*y-a[2*(n-i)];
    }

    return p+q;
}

int main(void)
{
    double a[]={0, 0, 0, 1}, x=1;
    int n, m;

    m=sizeof(a)/sizeof(a[0]);
    n=(m-1)/2;

    printf("P_%d(%g) = %g\n", n,x,horner(a,n,x));

    return 0;
}
