#include <stdio.h>

double horner(double a[], int n, double x)
{
    double p=0, q=0, fakt=1, y;
    int i;

    for(i=1; i<=n+1; i++)
        fakt*=i; /*izracunamo linearno vrijednost pocetnog faktorijela, a onda cemo ga
                samnjivati u hornerovoj petlji.*/
    y=9*x; /*polinome rastavimo na dva dijela i ocito (3^(2k))(x^k)=(9x)^k pa vrijednost drugog
            polinoma racunamo u tocki y=9*x*/

    for(i=n; i>=0; i--){
        fakt/=i+1;
        p=p*x+a[2*i]/fakt;

        q=q*y-9*a[2*i+1];
    }

    return p+q;
}

int main(void)
{
    double a[]={0, 0, 0, 1}, x=1;
    int n, m;

    m=sizeof(a)/sizeof(a[0]);
    n=(m-1)/2;

    printf("P_%d(%g) = %g\n", n,x,horner(a,n,x));

    return 0;
}

